import { AfterViewChecked, AfterViewInit, ElementRef, OnDestroy, OnInit } from "@angular/core";
import { StiModelService } from "../../services/model.service";
import { StiTextElement } from "../../elements/StiTextElement";
import { StiRichTextService } from "../../services/sti-rich-text.service";
import { StiComponent } from "../sti-component";
import { StiComponentResizerService } from "../../services/sti-component-resizer.service";
import { Subscription } from "rxjs";
import StiRectangleGeometryLayout from "../../computed/StiRectangleGeometryLayout";
import * as i0 from "@angular/core";
export declare class StiTextComponent implements OnInit, AfterViewInit, OnDestroy, AfterViewChecked {
    model: StiModelService;
    richTextService: StiRichTextService;
    componentResizerService: StiComponentResizerService;
    render: StiRectangleGeometryLayout;
    richTextEditor: ElementRef;
    component: StiComponent;
    element: StiTextElement;
    isClone: boolean;
    changeModeSubscription: Subscription;
    selectedComponent: any;
    private observer;
    get borderInnerWidth(): Number;
    get borderInnerHeight(): Number;
    constructor(model: StiModelService, richTextService: StiRichTextService, componentResizerService: StiComponentResizerService, render: StiRectangleGeometryLayout);
    ngAfterViewChecked(): void;
    changeMode(value: boolean): void;
    get currentVerticalStep(): number;
    getIframeHeight(iframe: any): any;
    updateFormGeometry(): void;
    getIframeMinHeight(iframe: any): any;
    ngOnDestroy(): void;
    ngAfterViewInit(): void;
    ngOnInit(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<StiTextComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<StiTextComponent, "sti-text-component", never, { "element": { "alias": "element"; "required": false; }; "isClone": { "alias": "isClone"; "required": false; }; }, {}, never, never, false, never>;
}
